Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 28 Aug 2014, 07:21
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Desktop
Wbar 2.3
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [19 Posts]   Goto page: 1, 2 Next
Author Message
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Sun 05 Aug 2012, 16:50    Post subject:  Wbar 2.3  

I was updating a few things in a lucid-based derivative, so here's Wbar 2.3.0. It requires imlib2 as a run-time dependency.

August 27 - 2012
I've reuploaded the pets for Lucid. imlib2 is no longer statically compiled, and wbar as been modifed slightly to backup your old .wbar config file if it exists.
Also, I've made versions for Wary...compiled in Solidpup.

imlib2 for Wary
wbar-2.3.0-w5 for Wary
wbar_pic01.png
 Description   
 Filesize   35.64 KB
 Viewed   2826 Time(s)

wbar_pic01.png

wbar_pic02.png
 Description   
 Filesize   29.85 KB
 Viewed   2881 Time(s)

wbar_pic02.png

imlib2-1.4.5-lucid.pet
Description  runtime dependency for Wbar
pet

 Download 
Filename  imlib2-1.4.5-lucid.pet 
Filesize  235.28 KB 
Downloaded  807 Time(s) 
imlib2_DEV-1.4.5-lucid.pet
Description  DEV files
pet

 Download 
Filename  imlib2_DEV-1.4.5-lucid.pet 
Filesize  406.92 KB 
Downloaded  629 Time(s) 
wbar-2.3.0-lucid.pet
Description  Warlock Bar
pet

 Download 
Filename  wbar-2.3.0-lucid.pet 
Filesize  107.56 KB 
Downloaded  898 Time(s) 

Last edited by Tman on Mon 08 Oct 2012, 16:48; edited 5 times in total
Back to top
View user's profile Send private message 
josejp2424

Joined: 01 Aug 2010
Posts: 212

PostPosted: Sun 19 Aug 2012, 16:50    Post subject:  

gracias amigo
Back to top
View user's profile Send private message Visit poster's website 
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Sat 25 Aug 2012, 14:13    Post subject:  

Clive wrote:

I'm guessing these later versions wont work in Wary? (I did a quick try and at least for me they didn't seem to work)

Also, how do you post images directly on these boards? The only way I can do so is either via a link to a remote (off-site) image, or as an attachment that has a 'download' associated with it (but doesn't show the image within the posting).

TIA


To have attachment images visible, you need to have the width equal or smaller than 600pixels. You can also post images from a different URL by using the "img" tag.
Back to top
View user's profile Send private message 
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Sun 26 Aug 2012, 23:57    Post subject:  

Clive,

EDIT: I have made a Wary version, the link is in the first post.
-

Last edited by Tman on Sun 30 Sep 2012, 13:51; edited 2 times in total
Back to top
View user's profile Send private message 
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Mon 27 Aug 2012, 14:53    Post subject:  

EDIT: removed info pertaining to obsolete build-scripts
-

Last edited by Tman on Sun 23 Sep 2012, 11:00; edited 2 times in total
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1105

PostPosted: Mon 27 Aug 2012, 18:24    Post subject:  

Is it possible to set wbar to automatically use the same icon theme I choose from the icon switcher? I mean, to modify the .pet so that after install it does that out of the box.
_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Mon 27 Aug 2012, 20:24    Post subject:  

Here are the extra background pics, I used for my wbar, in case anyone wants them when compiling wbar themselves.
wbar_extra_pics.pet
Description  extra backgrounds for wbar
pet

 Download 
Filename  wbar_extra_pics.pet 
Filesize  27.53 KB 
Downloaded  664 Time(s) 

Last edited by Tman on Sun 23 Sep 2012, 11:02; edited 1 time in total
Back to top
View user's profile Send private message 
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Wed 29 Aug 2012, 13:03    Post subject:  

Those are all very nice tips, Clive ... thanks!
Back to top
View user's profile Send private message 
Laie

Joined: 20 Jan 2008
Posts: 289
Location: Germany

PostPosted: Thu 06 Sep 2012, 11:11    Post subject:  

Clive wrote:
... This is the product for that Slacko 5.3.3 build. Seems to be working OK ...

Hi Clive, running Slacko 5.3.1 I installed the imlib2-1.4.5-s.pet, wbar_NLS-2.3.0-s.pet, wbar_DOC-2.3.0-s.pet. Nothing happened yet. The question may sound dumb: What have I to do to get wbar working?
Back to top
View user's profile Send private message 
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Mon 10 Sep 2012, 14:01    Post subject:  

Laie, the reason wbar is not working is because you did not install the main wbar-2.3.0-s pet. The NLS pets are for locales (different languages) and the DOC pets just contain documentation. The DEV pets are for developers to use the during compiling process.

I am not sure why Clive deleted all his posts. Sad Maybe he doesn't like me anymore?
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 10 Sep 2012, 14:21    Post subject:  

Tman. Dont take it to yourself. Clive has deleted all his 53 posts systematically...or some mass mechanism has done it for him....which I dont know anything.
Back to top
View user's profile Send private message 
Laie

Joined: 20 Jan 2008
Posts: 289
Location: Germany

PostPosted: Tue 11 Sep 2012, 02:58    Post subject:  

Tman wrote:
... because you did not install the main wbar-2.3.0-s pet ...

Embarassed Stupid me. Thanks!
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1105

PostPosted: Mon 15 Oct 2012, 19:15    Post subject:  

Hi Tman Very Happy
For some reason Wary 5.3 and 5.4 beta1 refuse to launch wbar 2.3.0, but I can use wbar 2.2.2 :
http://murga-linux.com/puppy/viewtopic.php?p=658111#658111

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
BuddhaDog

Joined: 26 Oct 2008
Posts: 54

PostPosted: Tue 16 Oct 2012, 15:38    Post subject:  

I just installed Wbar 2.3 and now I get this crazy configuration GUI (wbar-config). How can I get rid of it and edit my files the old way? I need to run two instances of Wbar and I can't see how to do it. My script to run two Wbars looks like this:

wbar -config ~/FluxboxMountainCabin.wbar1 -bpress -above-desk -balfa 50 nanim 5.0 -pos bottom -idist 8 -isize 32.0 -zoomf 1.1 &

wbar -config ~/FluxboxMountainCabin.wbar2 -vbar -bpress -above-desk -balfa 60 nanim 5.0 -pos left -idist 8 -isize 32.0 -zoomf 1.1 &

This is how it used to look with a bar on the bottom and a vertical side bar:



Can anyone help with this? Thank you : )
Back to top
View user's profile Send private message 
BuddhaDog

Joined: 26 Oct 2008
Posts: 54

PostPosted: Wed 31 Oct 2012, 11:47    Post subject:  

I changed Wbars and used this one: http://puppylinux.org/wikka/wbarinstall (1.3.3.pet patched)

It comes without the configuration GUI which is what I needed. I am able to start my two Wbar "config" files from the terminal using the exact code below but this script won't work. I can't figure it out.

Code:
#!/bin/sh
sleep 5s
wbar -config ./FluxboxMountainCabin.wbar1 -bpress -above-desk -balfa 50 nanim 5.0 -pos bottom -idist 8 -isize 32.0 -zoomf 1.1 &
sleep 3s
wbar -config ./FluxboxMountainCabin.wbar2 -vbar -bpress -above-desk -balfa 60 nanim 5.0 -pos left -idist 8 -isize 32.0 -zoomf 1.1 &
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [19 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Desktop
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0916s ][ Queries: 13 (0.0140s) ][ GZIP on ]